883 comments

cloood PURCHASED
Hello,

1) Sing Angular2 version came with "2.0.0", is there any plan to move to current version 2.2.0?
2) can't find ng serve in the project wich is the default command for angular2

Thank you
Hi! Sorry for the time it has taken to get the reply, thank you for the patience!

1) Yes, we we'll update angular2 in future releases.
2) We don't use it in current release.

Cheers!
Before I download, I have 2 questions:
1) Is there native support for portlet 'like' container eg Jquery Portlet ?
2) Is there a drag/drop page builder ? (someone else's is good)

Thank you
Hi, garyM!

Unfortunately, there is no native support for portlet like container or a drag/drop page builder.

Cheers!
How do I do the initial installation? Npm update?
The template does not use the angular Cli?
When I give an npm start the following error is generated:
  Webpack: bundle is now VALID.
Hi I purchased version 1.0 can I upgrade to 3.0?

Regards,
Sergio
Hello Sergio!
Thanks for purchase!

Sure, the latest Sing version is 3.3.0.
Please, contact us on support@flatlogic.com to get the update and, please,.provide us your purchase details. Thanks!

Cheers!
Hello, I am looking forward to buying this theme. However, I saw that you guys are developing a Ruby on Rails version which is what I need. But I have two questions, first; why would are you developing a Ruby on Rails version when you currently support Bootstrap Sass? I could just add the bootstrap sass gem and copy the scss and javascript to my application. And second, when would this Ruby on Rails version come out?
Hello Tataneing!

We are glad you are interested in the Sing!
We are focused on the Angular 2 version update at the moment, so, unfortunately, we have not managed to set the Ruby on Rails release date yet. Thaks for the patience!

If you have any other questions, please, contact us on the support@flatlogic.com.
Cheers!
Hello,

I have purchased the theme but facing the below problems :

1. Not able to use state transition. Once i move from one screen to another, data is lost from the previous screen. is there a way we can implement retention of data.

2. Implemented to show data on the notification panel from a JSON file. But, when I click on messages and come back to notifications, I only see the data in the loaded html. All my JSON data is lost. Please advise how to implement this.
Hello GopalPanigrahy! Thanks for purchase!

1. To implement data retention you should write some custom code that fits your goals best. Please, have a look at the article. Hope you'll find it helpful. https://coryrylan.com/blog/angular-observable-data-services

2. Unfortunately, we can't advise you on the second question on the custom features.

Cheers!
I'm looking forward to buying this template. please answer the questions.
1. Do you give un-minified css and js files as part of the repo?
2. Does the app use angular cli? If not, any plans of using it in future and expected timelines ?
Hello Yogendra! We are glad you are interested in the Sing!

1) Yes, we give unminified css (sass).
2) We're not using angular cli at the moment, and currently we don't have any exact plans or timelines for it.

​Cheers!
Hello!

How can I change to production mode? I can see ENV variable defined in custom-typings.d.ts, and this variable used to load prod environment or dev environment, but not sure how to tell ENV to be production.

Thanks
Hello Alvarormoya!

npm run build:prod - builds a production version of the application. All html/css/js code is minified and put to distfolder. The contents of this folder you will want to put to your production server when publishing the application;

​Cheers!
Hi SmartFox,
this template is a good starting point to develop Angular 2.x apps but it doesn't yet support Ahead-of-Time Compilation which is quite essential to make production apps.

Is AoT a top priority enhancement for you and can we expect it to be released soon?

Thanks
Hello Hantarex! Thanks for purchase!

Unfortunately, AoT is not a top priority enhancement at the moment. But we keep an eye on the users comments and emails with suggestions and questions about particular versions. If the version is requested and desired - we will release it! So, thank you for the question =)

Cheers!
Hi SmartFox,

As a follow up on Hanatrex's question, besides AoT, it is currently not possible to create a translation source file with the ng-xi18n tool.

After I have installed the @angular/compiler-cli @angular/platform-server and run the extraction, I get an error which seems to be created missing compatibility between platform-server and the current version of Angular in your stack.

These two functionalities are, same as hantarex, quite essential for me.
Would love to see the new release that was announced on this forum over 3 weeks ago, with hopefully 2.1.0 version of angular 2 :-)

Thanks
Hello Industrylinq!

Thank you for the feedback! As I've answered Hantarex, we keep an eye on the versions requests and we take it seriously. We'll do our best to include all the essential functionalities you need, yet, as normal, it takes some time =)

Cheers!
Hi SmartFox,
Does the Angular 2 version built with AngularCLI and Webpack? I'm quite new to Angular 2 and don't want to spend to much effort to build process and hope that I can just modify some build script from the theme?

Thanks.
Hey,

We are looking into buying this template, but it doesn't seem to be built using Angular 2 - angular-cli, do you guys plan to have an angular-cli version
Hello Adnankamili!

Unfortunately, we do not have any exact plans for an angular-cli version at the moment. But we keep an eye on the users comments and emails with suggestions and questions about particular versions, so we will make sure our development team is aware of the versions you are looking for.
Thank you for the question!

​Cheers!
In there any discount for students?
Hello Bartes19!

I've contacted our billing department for you.
Unfortunately, we can not provide students with the the requested discount at the moment.

Thank you for the question, we will think it over!
Cheers!
raster PURCHASED
Hi,
Can you guide to setup test environment in this project, i need to configure Jasmine with Karma.

Thanks
sathees
Hello Sathees!

I'm sorry for the delayed reply, we have been on the holidays.

As for your question on the environment setup, please, contact on contact@flatlogic.com.
Thank you for the patience!

Happy New Year!
It doesn't look like the new update download had the angular2-seed project updated to 3.3, it still says 3.2, any reason why?
Hello Parljohn!

I'm sorry for the delayed reply. Thank you for the patience!

I've asked our tech department to have a closer look at your question and check the version.
It's a typo. The version is 3.3.0. Thank you for noticing this!

We wish you a very Happy New Year!
Cheers!
Could you give some indication on the Rails timescale ? ie is it next week, next month or 3+ months thanks!
Hello, Tcarmich!

We are focused on the angular 2 version right now and, unfortunately, we do not have any exact timeline for the Rails version at the moment. Thus, I would say it is 3+ months.
Thank you for the question, we keep an eye on the version requests.

Happy New Year!
Evosys PURCHASED
Hi,

Are you planning to upgrade webpack version ? The currently used version is in beta and outdated. I tried to upgrade it but it breaks a lot of things.

Thanks !
Hello Evosys !

I've contacted our development department on the webpack upgrade.
I'll update you on the subject immediately once I get the answer. Thank you for the patience!

We wish you a very Happy New Year!
Cheers!
Same question, can you pl let us know how to upgrade to webpack 2.2 rc0 for an existing application
Hello Evosys and Sauverma!

I've got the answer from the development department as requested.
Yes, webpack will be upgraded in the future releases.

Cheers!
Evosys PURCHASED
Thank you !
Hi!
I'm using this project,sing app!
but when i use the angular2,I had some trouble.
i use the command 'npm install' first,but there are a lot of mistakes like 'npm WARN addRemoteGit Error:Command failed: git -c core.longpaths=true config --get remote.origin.url'
,can you tell me the steps how to set up the local environment please!
Thanks!
Hello Cgcoffee!

Please, contact us on support@flatlogic.com and provide us the error logs. Thanks.
Also, could you, please, tell us the version of node and npm you use?

​Cheers!
Hi,
Awesome template btw. I am currently porting it to a rails app, which is somewhat challenging trying to break out the views into partials and so forth but is coming along. That being said, I am using the ajax-bootstrap4 version as the starting template in my rails app. The latest changelog states that you updated to bootstrap 4.0 alpha 5, but the sass files and bower manifest still show 4.0 alpha 2 which has some deprecated variables and styling constructs. Can you update the ajax-bootstrap4 flavor to the latest bootstrap build? Would love to see the rails version as soon as possible as well.

thanks!
Hello Appsbeyond!

Thank you for your kind words!
We used bootstrap 4.0 alpha 5 in angular 2 version that is our main focus at the moment.
We will update bootstrap in ajax version in the future release.

Cheers!
luther PURCHASED
I've just purchased and tried Version: 3.4.0, it's great! There is only one issue, please make an Angular2 CLI update.

Thanks
Hello Luther!

We are glad to hear you enjoy the Sing!
Thank you for the Angular2 CLI suggestion, we keep an eye on the users requests.

We will think it over, but at the moment we don't have any exact plan to implement it in nearest release.

​Cheers!

Write a comment

This is a great way to give the seller feedback and ask them questions about their item.

You must sign in to write a comment

Sign in or sign up to make a purchase

$24
3458Purchases

Licenses: Details »

Single application $24
Version:3.8.0
Type:
  • HTML Template
Bootstrap: Compatible with 4.x
Layouts:
  • Responsive
Browsers:
  • IE 10, 11
  • Latest Chrome
  • Latest Firefox
  • Latest Safari
Uses Less:No
Uses Sass:Yes
Categories:
Tags: angular, angular4, bootstrap4, bower, html5, react, retina, sass, seed, web app
Item#:WB0J6BJ85
Released:2 years ago
Updated:1 month ago
Sold exclusively on WrapBootstrap
okendoken

okendoken

Signed up 4 years ago

Need a front-end theme?

About Bootstrap

Bootstrap is designed to help people of all skill levels – designer or developer, huge nerd or early beginner. Use it as a complete kit or use it to start something more complex.

Unlike other front-end toolkits, Bootstrap was designed first and foremost as a styleguide to document not only its features, but best practices and living, coded examples.

Built to support new HTML5 elements and syntax with progressively enhanced components.

Browser support

Bootstrap is tested and supported in major modern browsers like Chrome, Firefox, and Internet Explorer.

Tested and supported in Chrome, Safari, Firefox, Internet Explorer, and Opera.
  • Latest Chrome
  • Latest Firefox
  • Latest Safari
  • Latest Edge
  • Internet Explorer 9/10/11
  • Latest Opera

Features & includes

Bootstrap provides an unparalleled array of features and reusable components that let you hit the ground running: